aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--kf5/README.md22
-rwxr-xr-xkf5/kf5-build.sh49
-rwxr-xr-xkf5/kf5.sh15
-rw-r--r--kf5/list65
4 files changed, 151 insertions, 0 deletions
diff --git a/kf5/README.md b/kf5/README.md
new file mode 100644
index 0000000..f8b0b8f
--- /dev/null
+++ b/kf5/README.md
@@ -0,0 +1,22 @@
+# KDE Frameworks
+
+This directory has all the files that I use to compile KDE Frameworks. Note,
+that I don't guarantee that all the modules are nicely compiling, I've just
+checked the ones I need to compile Kate. Moreover, the KTextEditor library is
+not included in the list of modules to be compiled. This is because it's the
+only library from Frameworks that I contribute and, therefore, I want to keep
+it separately. I will remove this directory when the KDE Frameworks is stable
+and all the KDE apps are ported to Frameworks.
+
+In order to compile everything, perform the following commands in the directory
+where all the KDE Frameworks sources should go:
+
+ $ source kf5.sh
+ $ ./kf5-build.sh
+
+This configuration assumes that:
+
+ * The KF5 libraries will be installed at $HOME/kf5.
+ * You have Qt 5 installed at /opt/qt5.
+
+Happy hacking!
diff --git a/kf5/kf5-build.sh b/kf5/kf5-build.sh
new file mode 100755
index 0000000..7346249
--- /dev/null
+++ b/kf5/kf5-build.sh
@@ -0,0 +1,49 @@
+#!/bin/bash
+
+
+# Initial check.
+if [ -z "$KF5" ]; then
+ echo "You have to set the \$KF5 environment variable."
+ exit 1
+fi
+
+# Create the $KF5 directory if it doesn't exist yet.
+mkdir -p $KF5
+
+# Getting CMake from git.
+if [ ! -d cmake ]; then
+ git clone git://cmake.org/cmake.git
+ cd cmake
+ ./configure --prefix=$KF5
+ make -j 10 install
+ cd ..
+fi
+
+# Extra CMake Modules (ECM)
+if [ ! -d extra-cmake-modules ]; then
+ git clone git://anongit.kde.org/extra-cmake-modules
+ cd extra-cmake-modules
+ cmake -DCMAKE_INSTALL_PREFIX=$KF5 .
+ make install
+ cd ..
+fi
+
+# The rest of the packages.
+for pkg in $(cat list); do
+ # Clone or pull.
+ if [ -d $pkg ]; then
+ cd $pkg
+ git down
+ mkdir -p build && cd build
+ else
+ git clone git://anongit.kde.org/$pkg
+ mkdir -p $pkg/build
+ cd $pkg/build
+ fi
+
+ # Compile and install.
+ cmake .. -DCMAKE_INSTALL_PREFIX=$KF5
+ make -j 10 install
+ cd ../..
+done
+
diff --git a/kf5/kf5.sh b/kf5/kf5.sh
new file mode 100755
index 0000000..815ffc5
--- /dev/null
+++ b/kf5/kf5.sh
@@ -0,0 +1,15 @@
+export KF5=$HOME/kf5
+export QTDIR=/opt/qt5/qtbase
+export XDG_DATA_DIRS=$KF5/share:$XDG_DATA_DIRS:/usr/share
+export XDG_CONFIG_DIRS=$KF5/etc/xdg:$XDG_CONFIG_DIRS:/etc/xdg
+export PATH=$KF5/bin:$QTDIR/bin:$PATH
+export QT_PLUGIN_PATH=$KF5/lib/plugins:$KF5/lib64/plugins:$KF5/lib/x86_64-linux-gnu/plugins:$QTDIR/plugins:$QT_PLUGIN_PATH
+export QML2_IMPORT_PATH=$KF5/lib/qml:$KF5/lib64/qml:$KF5/lib/x86_64-linux-gnu/qml:$QTDIR/qml
+export QML_IMPORT_PATH=$QML2_IMPORT_PATH
+export KDE_SESSION_VERSION=5
+export KDE_FULL_SESSION=true
+export XDG_DATA_HOME=$HOME/.local5
+export XDG_CONFIG_HOME=$HOME/.config5
+export XDG_CACHE_HOME=$HOME/.cache5
+export CMAKE_PREFIX_PATH=$KF5:$CMAKE_PREFIX_PATH
+
diff --git a/kf5/list b/kf5/list
new file mode 100644
index 0000000..44d1da1
--- /dev/null
+++ b/kf5/list
@@ -0,0 +1,65 @@
+attica
+kapidox
+karchive
+kcoreaddons
+kf5-polkit
+kauth
+kcodecs
+kconfig
+kdoctools
+kguiaddons
+kjs
+ki18n
+kwidgetsaddons
+kconfigwidgets
+kitemviews
+kiconthemes
+kglobalaccel
+kcompletion
+kwindowsystem
+kcrash
+kdbusaddons
+kservice
+sonnet
+ktextwidgets
+kxmlgui
+kbookmarks
+kcmutils
+solid
+kjobwidgets
+libdbusmenu-qt5
+knotifications
+kio
+kdeclarative
+kinit
+kded
+kplotting
+kpty
+kdesu
+kwallet-framework
+kparts
+kdewebkit
+kdesignerplugin
+kdnssd-framework
+kemoticons
+kf5umbrella
+kidletime
+kimageformats
+kitemmodels
+kjsembed
+kmediaplayer
+kprintutils
+kross
+kunitconversion
+threadweaver
+kde4support
+kfileaudiopreview
+khtml
+knewstuff
+knotifyconfig
+frameworkintegration
+kactivities
+plasma-framework
+kde-runtime
+konsole
+plasma-nm